Returns the string representation of this Decimal128

- « MongoDB\BSON\Decimal128::serialize

- MongoDB\BSON\Decimal128::unserialize »

- PHP Manual
- MongoDB\BSON\Decimal128
- Returns the string representation of this Decimal128

# MongoDB\BSON\Decimal128::__toString

(mongodb >=1.2.0)

MongoDB\BSON\Decimal128::__toString — Returns the string representation of this Decimal128

### Description

final public MongoDB\BSON\Decimal128::__toString(): string

### Parameters

This function has no parameters.

### Return Values

Returns the string representation of this Decimal128.

### Examples

Example #1 MongoDB\BSON\Decimal128::__toString() example

    <?php

    var_dump((string) new MongoDB\BSON\Decimal128(1234.5678));
    var_dump((string) new MongoDB\BSON\Decimal128(NAN));
    var_dump((string) new MongoDB\BSON\Decimal128(INF));

    ?>

The above example will output something similar to:

    string(9) "1234.5678"
    string(3) "NaN"
    string(8) "Infinity"

### See Also

- » Decimal128 floating-point format
- » BSON Types